# Process this file with autoconf to produce a configure script.
AC_INIT(bubblegum, 1.12, bjk@arbornet.org)
AC_CONFIG_AUX_DIR(build)
AC_CANONICAL_TARGET
AM_INIT_AUTOMAKE([foreign])
AC_PROG_MAKE_SET
AM_CONFIG_HEADER([config.h])
AC_CONFIG_SRCDIR([src/bubblegum.c])

# Checks for programs.
AC_PROG_CC

# Checks for libraries.
AC_CHECK_LIB(md, MD5File)

# Checks for header files.
AC_HEADER_STDC
AC_HEADER_SYS_WAIT
AC_HEADER_DIRENT
AC_HEADER_STAT
AC_CHECK_HEADERS([limits.h stdlib.h string.h sys/time.h syslog.h unistd.h])
AC_CHECK_HEADERS([libgen.h getopt.h md5.h err.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_PID_T
AC_TYPE_SIZE_T
AC_HEADER_TIME
AC_STRUCT_TM

# Checks for library functions.
AC_FUNC_FORK
AC_FUNC_MALLOC
AC_TYPE_SIGNAL
AC_FUNC_STAT
AC_FUNC_STRFTIME
AC_FUNC_VPRINTF
AC_CHECK_FUNCS([getcwd memset select strdup strerror vasprintf basename])

case "$target_os" in
    *darwin*)
	LDFLAGS="$LDFLAGS -flat_namespace"
	AC_SUBST(LDFLAGS)
        ;;
    *)
        ;;
esac

AC_DEFINE([SYSLOG_FACILITY], LOG_DAEMON, [Syslog() logging facility.])
AC_DEFINE([SYSLOG_PRIORITY], LOG_NOTICE, [Syslog() logging priority.])
AC_DEFINE([LOGFILE], "bubblegum.log", [Default logging file relative to home
	   directory.])
AC_DEFINE([LOGLEVEL], 2, [Default logging level.])
AC_DEFINE([PIDFILE], "bubblegum.pid", [Default process id file relative to
	   home directory.])
AC_DEFINE([CMDRUNS], 1, [Default number of command runs per file.])
AC_DEFINE([INTERVAL], 1, [Default interval in seconds to check files.])
AC_DEFINE([TIMEFORMAT], "%b %d %H:%M:%S", [Strftime() time format for logging
	   and command expansions.])

AM_WITH_DMALLOC

AC_CONFIG_FILES([Makefile src/Makefile doc/Makefile])
AC_OUTPUT
